package com.syntevo.plugin.mergeinfocolumn;

import com.syntevo.openapi.*;
import com.syntevo.openapi.smartsvn.*;

/**
 * @author syntevo GmbH
 */
public final class MergeInfoColumnPlugin implements IActivator {

	// Constants ==============================================================

	private static final boolean FILTER = Boolean.getBoolean("smartsvn.plugin.merge-info.file-filter");

	// Implemented ============================================================

	public void initialize(SmartSvnServices services) {
		services.addFileTableColumn(new MergeInfoFileTableColumn());
		if (FILTER) {
			services.addFileFilter(new MergeInfoFileFilter());
		}
	}
}
